## ros-kinetic-seed-r7-samples 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_samples)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/demo.launch)
  find_package(rostest REQUIRED)
  add_rostest(test/demo.test)
endif()

install(DIRECTORY config launch scripts 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)



catkin_install_python(PROGRAMS scripts/demo.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-seed-r7-samples (0.3.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Mon, 16 Dec 2019 06:32:11 -0000

ros-kinetic-seed-r7-samples (0.3.3-1xenial) xenial; urgency=high

  * Merge pull request #62 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/62> from hi-kondo/ori-master
    rostest directory of seed_r7_samples changed
  * depend package added
  * hand constructor added
  * rostest directory of seed_r7_samples changed
  * Merge pull request #61 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/61> from hi-kondo/add_rostest/roslaunch_and_demo.test
    Add rostest/roslaunch and demo.test
  * rostest timeout changed
  * update test

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Tue, 03 Dec 2019 15:00:00 -0000

ros-kinetic-seed-r7-samples (0.3.2-1xenial) xenial; urgency=high

  * Merge branch 'new-master' of https://github.com/hi-kondo/seed_r7_ros_pkg into new-master
  * Merge branch 'master' into new-master
  * Contributors: hi-kondo

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Mon, 18 Nov 2019 15:00:00 -0000

ros-kinetic-seed-r7-samples (0.3.0-1xenial) xenial; urgency=high

  * Merge pull request #47 <https://github.com/seed-solutions/seed_r7_ros_pkg/issues/47> from y-shiigi/demo
    add Moveit! sample
  * add install at CMakeList.txt
  * fix typo
  * add samples
  * Contributors: hi-kondo, y-shiigi

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Tue, 12 Nov 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-seed-r7-samples
Section: misc
Priority: optional
Maintainer: Yasuto Shiigi <y.shiigi@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-moveit-commander, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-rviz, ros-kinetic-rviz-plugin-tutorials, ros-kinetic-seed-r7-bringup, ros-kinetic-seed-r7-moveit-config, ros-kinetic-seed-r7-navigation, ros-kinetic-seed-r7-robot-interface, ros-kinetic-seed-r7-ros-controller, ros-kinetic-seed-r7-typef-moveit-config, ros-kinetic-smach-ros, ros-kinetic-smach-viewer
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-seed-r7-samples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-moveit-commander, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-rviz, ros-kinetic-rviz-plugin-tutorials, ros-kinetic-seed-r7-bringup, ros-kinetic-seed-r7-moveit-config, ros-kinetic-seed-r7-navigation, ros-kinetic-seed-r7-robot-interface, ros-kinetic-seed-r7-ros-controller, ros-kinetic-seed-r7-typef-moveit-config, ros-kinetic-smach-ros, ros-kinetic-smach-viewer
Description: The seed_r7_samples package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-seed-r7-samples//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
